package com.sf._02_junit;

import java.util.HashMap;
import java.util.Map;

/**
 * User(id,name,age)
 * 在UserServcieImpl 定义一个接Map<Long,User>
 *     key : userId   value: User
 *
 *  提供四个方法 addUser 添加用户放到map中
 *  updateUser(User user) 修改用户信息
 *  deleteUser(Long id) 删除user
 *  queryUser(Long id) 查询user
 *
 *  使用junit 进行单元测试增删改查
 */
public class UserServiceImpl {
    public Map<Long,User> map = new HashMap<>();
    public void addUser(User user){
        map.put(user.getId(),user);
    }

    public void deleteUser(Long id){
        map.remove(id);
    }

    public void updateUser(User user){
        map.put(user.getId(),user);
    }

    public User queryUserById(Long id){
        return map.get(id);
    }

}
